View Single Post
Old 29th October 2019
  #21
Gear Nut
 

For others that were as confused as me, the Waves V11 FAQ will probably be helpful:

https://www.waves.com/support/waves-...sked-questions

For me, the most helpful parts:
I have V11 licenses, but my system is only compatible with an earlier Waves version. What can I do?
Not to worry! V11 licenses can activate V9 and V10 software.
Can I run V9, V10 and V11 plugins on the same system?
V9, V10 and V11 plugins can run on the same system, as long as you don't install two (or three) versions of the same plugin. Each plugin should be installed as either V9 or V10 or V11, but not more than one version.